Closed Bug 1447245 Opened 2 years ago Closed 2 years ago

WebGL(IOSurface) is not rendered on Mac

Categories

(Core :: Graphics: WebRender, defect)

defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: sotaro, Assigned: sotaro)

References

(Blocks 1 open bug)

Details

This bug is created from Bug 1411481 Comment 13.

The following WebGL was not rendered with latest nightly on my Mac PC
  http://learningwebgl.com/lessons/lesson03/index.html
Blocks: 1411481
I checked with mozregression

mozregression --good 2017-11-01 --bad 2018-03-19 --pref gfx.webrender.enabled:true startup.homepage_welcome_url:"http://learningwebgl.com/lessons/lesson03/index.html"

-------------------------------------

13:19.90 INFO: Running autoland build built on 2018-03-16 14:28:28.693000, revision 5f14c440
13:47.37 INFO: Launching /private/var/folders/j3/nyzvst7n3dzb1sfk7x2pvy9h0000gn/T/tmpilZ8y1/Firefox Nightly.app/Contents/MacOS/firefox
13:47.37 INFO: Application command: /private/var/folders/j3/nyzvst7n3dzb1sfk7x2pvy9h0000gn/T/tmpilZ8y1/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/j3/nyzvst7n3dzb1sfk7x2pvy9h0000gn/T/tmpsWzlN6.mozrunner
13:47.38 INFO: application_buildid: 20180316141112
13:47.38 INFO: application_changeset: 5f14c440b68aa1842822ac6d22f8bab8b7b1c89a
13:47.38 INFO: application_name: Firefox
13:47.38 INFO: application_repository: https://hg.mozilla.org/integration/autoland
13:47.38 INFO: application_version: 61.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
14:00.99 INFO: Narrowed inbound regression window from [ee371182, db3858c7] (4 builds) to [5f14c440, db3858c7] (2 builds) (~1 steps left)
14:00.99 INFO: No more inbound revisions, bisection finished.
14:00.99 INFO: Last good revision: 5f14c440b68aa1842822ac6d22f8bab8b7b1c89a
14:00.99 INFO: First bad revision: db3858c71406fa3929322e93e14bf225ebadb398
14:00.99 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=5f14c440b68aa1842822ac6d22f8bab8b7b1c89a&tochange=db3858c71406fa3929322e93e14bf225ebadb398
Blocks: 1444946
Copy of about:support

--------------------------

Application Basics
------------------

Name: Firefox
Version: 61.0a1
Build ID: 20180319220116
Update Channel: nightly
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0
OS: Darwin 17.4.0
Multiprocess Windows: 1/1 (Enabled by default)
Web Content Processes: 4/4
Stylo: content = true (enabled by default), chrome = true (enabled by default)
Enterprise Policies: Inactive
Google Key: Found
Mozilla Location Service Key: Found
Safe Mode: false

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports

Nightly Features
----------------

Name: Activity Stream
Version: 2018.03.09.1399-ca5b7528
ID: activity-stream@mozilla.org

Name: Application Update Service Helper
Version: 2.0
ID: aushelper@mozilla.org

Name: Firefox Screenshots
Version: 30.0.0
ID: screenshots@mozilla.org

Name: Follow-on Search Telemetry
Version: 0.9.6
ID: followonsearch@mozilla.com

Name: Form Autofill
Version: 1.0
ID: formautofill@mozilla.org

Name: Photon onboarding
Version: 1.0
ID: onboarding@mozilla.org

Name: Pocket
Version: 1.0.5
ID: firefox@getpocket.com

Name: Presentation
Version: 1.0.0
ID: presentation@mozilla.org

Name: Web Compat
Version: 1.1
ID: webcompat@mozilla.org

Name: WebCompat Reporter
Version: 1.0.0
ID: webcompat-reporter@mozilla.org

Extensions
----------

Security Software
----------------- Type:

Type:

Type:

Graphics
--------

Features
Compositing: WebRender
Asynchronous Pan/Zoom: wheel input enabled; scrollbar drag enabled; keyboard enabled; autoscroll enabled
WebGL 1 Driver WSI Info: CGL
WebGL 1 Driver Renderer: Intel Inc. -- Intel HD Graphics 4000 OpenGL Engine
WebGL 1 Driver Version: 4.1 INTEL-10.30.14
WebGL 1 Driver Extensions: GL_ARB_blend_func_extended GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_ES2_compatibility GL_ARB_explicit_attrib_location GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader5 GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_occlusion_query2 GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_shader_subroutine GL_ARB_shading_language_include GL_ARB_tessellation_shader GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_texture_storage GL_ARB_texture_swizzle GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_vertex_attrib_64bit GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_EXT_debug_label GL_EXT_debug_marker GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_texture_compression_s3tc GL_EXT_texture_filter_anisotropic GL_EXT_texture_sRGB_decode GL_APPLE_client_storage GL_APPLE_container_object_shareable GL_APPLE_flush_render GL_APPLE_object_purgeable GL_APPLE_rgb_422 GL_APPLE_row_bytes GL_APPLE_texture_range GL_ATI_texture_mirror_once GL_NV_texture_barrier
WebGL 1 Extensions: ANGLE_instanced_arrays EXT_blend_minmax EXT_color_buffer_half_float EXT_frag_depth EXT_sRGB EXT_shader_texture_lod EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_element_index_uint OES_standard_derivatives OES_texture_float OES_texture_float_linear OES_texture_half_float OES_texture_half_float_linear OES_vertex_array_object WEBGL_color_buffer_float WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_depth_texture WEBGL_draw_buffers WEBGL_lose_context
WebGL 2 Driver WSI Info: CGL
WebGL 2 Driver Renderer: Intel Inc. -- Intel HD Graphics 4000 OpenGL Engine
WebGL 2 Driver Version: 4.1 INTEL-10.30.14
WebGL 2 Driver Extensions: GL_ARB_blend_func_extended GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_ES2_compatibility GL_ARB_explicit_attrib_location GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader5 GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_occlusion_query2 GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_separate_shader_objects GL_ARB_shader_bit_encoding GL_ARB_shader_subroutine GL_ARB_shading_language_include GL_ARB_tessellation_shader GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_cube_map_array GL_ARB_texture_gather GL_ARB_texture_query_lod GL_ARB_texture_rgb10_a2ui GL_ARB_texture_storage GL_ARB_texture_swizzle GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_vertex_attrib_64bit GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_EXT_debug_label GL_EXT_debug_marker GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_texture_compression_s3tc GL_EXT_texture_filter_anisotropic GL_EXT_texture_sRGB_decode GL_APPLE_client_storage GL_APPLE_container_object_shareable GL_APPLE_flush_render GL_APPLE_object_purgeable GL_APPLE_rgb_422 GL_APPLE_row_bytes GL_APPLE_texture_range GL_ATI_texture_mirror_once GL_NV_texture_barrier
WebGL 2 Extensions: EXT_color_buffer_float EXT_texture_filter_anisotropic EXT_disjoint_timer_query OES_texture_float_linear WEBGL_compressed_texture_s3tc WEBGL_compressed_texture_s3tc_srgb WEBGL_debug_renderer_info WEBGL_debug_shaders WEBGL_lose_context
Uses Tiling: true
Off Main Thread Painting Enabled: true
Off Main Thread Painting Worker Count: 1
GPU #1
Active: Yes
Vendor ID: 0x8086
Device ID: 0x0166

Diagnostics
AzureCanvasAccelerated: 0
AzureCanvasBackend: skia
AzureContentBackend: skia
AzureFallbackCanvasBackend: none
TileHeight: 1024
TileWidth: 1024
Decision Log
WEBRENDER:
opt-in by default: WebRender is an opt-in feature
available by user: Enabled by pref




Media
-----

Audio Backend: audiounit
Max Channels: 2
Preferred Channel Layout: stereo
Preferred Sample Rate: 44100
Output Devices
Name: Group
Internal Speakers: AppleHDAEngineOutput:1B,0,1,1:0
Input Devices
Name: Group
Internal Microphone: AppleHDAEngineInput:1B,0,1,0:1

Important Modified Preferences
------------------------------

browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.frecency_experiment: 2
browser.places.smartBookmarksVersion: 8
browser.sessionstore.upgradeBackup.latestBuildID: 20180319220116
browser.startup.homepage_override.buildID: 20180319220116
browser.startup.homepage_override.mstone: 61.0a1
browser.tabs.remote.autostart.2: true
browser.tabs.warnOnClose: false
browser.urlbar.timesBeforeHidingSuggestionsHint: 0
dom.forms.autocomplete.formautofill: true
dom.ipc.processCount.web: 4
extensions.lastAppVersion: 61.0a1
font.internaluseonly.changed: true
gfx.webrender.all: true
gfx.webrender.debug.compact-profiler: true
gfx.webrender.debug.profiler: true
layers.acceleration.draw-fps: true
media.gmp-gmpopenh264.abi: x86_64-gcc3
media.gmp-gmpopenh264.lastUpdate: 1518081390
media.gmp-gmpopenh264.version: 1.7.1
media.gmp-manager.buildID: 20180319220116
media.gmp-manager.lastCheck: 1521516586
media.gmp-widevinecdm.abi: x86_64-gcc3
media.gmp-widevinecdm.lastUpdate: 1518081391
media.gmp-widevinecdm.version: 1.4.8.1008
media.gmp.storage.version.observed: 1
network.cookie.prefsMigrated: true
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1521516626
places.history.expiration.transient_current_max_pages: 36774
plugin.disable_full_page_plugin_for_types: application/pdf
security.sandbox.content.tempDirSuffix: 04a0375c-7855-c44b-bbb9-336c1b392172
services.sync.engine.addresses.available: true
services.sync.engine.creditcards.available: true
storage.vacuum.last.index: 0
storage.vacuum.last.places.sqlite: 1521516625

Important Locked Preferences
----------------------------

Places Database
---------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.19
Version in use: 4.19

NSS
Expected minimum version: 3.37 Beta
Version in use: 3.37 Beta

NSSSMIME
Expected minimum version: 3.37 Beta
Version in use: 3.37 Beta

NSSSSL
Expected minimum version: 3.37 Beta
Version in use: 3.37 Beta

NSSUTIL
Expected minimum version: 3.37 Beta
Version in use: 3.37 Beta

Experimental Features
---------------------

Sandbox
-------

Content Process Sandbox Level: 3
Effective Content Process Sandbox Level: 3

Internationalization & Localization
-----------------------------------

Application Settings
Requested Locales: ["en-US"]
Available Locales: ["en-US"]
App Locales: ["en-US"]
Regional Preferences: ["en-US"]
Default Locale: "en-US"
Operating System
System Locales: ["ja-CA","en-CA","fr-CA","de-CA","es-CA","it-CA","pt-BR","pt-PT","nl-CA","sv-CA","nb-CA","da-CA","fi-CA","ru-CA","pl-CA","zh-Hans-CA","zh-Hant-CA","ko-CA","ar-CA","cs-CA","hu-CA","tr-CA","th-CA","ca-CA","hr-CA","el-CA","he-CA","ro-CA","sk-CA","uk-CA"]
Regional Preferences: ["ja-CA","en-CA","fr-CA","de-CA","es-CA","it-CA","pt-BR","pt-PT","nl-CA","sv-CA","nb-CA","da-CA","fi-CA","ru-CA","pl-CA","zh-Hans-CA","zh-Hant-CA","ko-CA","ar-CA","cs-CA","hu-CA","tr-CA","th-CA","ca-CA","hr-CA","el-CA","he-CA","ro-CA","sk-CA","uk-CA"]
Summary: WebGL is not rendered on some Mac → WebGL is not rendered on intel Mac
Bug 1444946 is culprit.
WR @ 4ccaede43b3944199f89a42f49093d93409c7f61 in Bug 1444946 comment 1 was OK on my mac PC.

WR @ f5cf72c6196ec0a7743d9d626cdc360ec0c569a1 in Bug 1444946 comment 2 caused the problem on my mac PC.

Then the problem seemed to happen in the following change.
 https://github.com/servo/webrender/compare/4ccaede43b3944199f89a42f49093d93409c7f61...f5cf72c6196ec0a7743d9d626cdc360ec0c569a1
Summary: WebGL is not rendered on intel Mac → WebGL is not rendered on Mac
Assignee: nobody → sotaro.ikeda.g
Depends on: 1447286
Summary: WebGL is not rendered on Mac → WebGL(IOSurface) is not rendered on Mac
Confirmed it is addressed in nightly.
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Duplicate of this bug: 1447813
Duplicate of this bug: 1447403
You need to log in before you can comment on or make changes to this bug.